# GLUtessellator (LWJGL API)
Date: 2015-07-28

## org.lwjgl.util.glu
Interface GLUtessellator

All Known Implementing Classes:
  GLUtessellatorImpl

    public interface GLUtessellator

Method Summary
`void` `gluBeginPolygon()`
`void` `gluDeleteTess()`
`void` `gluEndPolygon()`
`void` `gluGetTessProperty(int which, double[] value, int value_offset)`
`void` `gluNextContour(int type)`
`void` `gluTessBeginContour()`
`void` `gluTessBeginPolygon(java.lang.Object data)`
`void` `gluTessCallback(int which, GLUtessellatorCallback aCallback)`
`void` `gluTessEndContour()`
`void` `gluTessEndPolygon()`
`void` `gluTessNormal(double x, double y, double z)`
`void` `gluTessProperty(int which, double value)`
`void` `gluTessVertex(double[] coords, int coords_offset, java.lang.Object vertexData)`

Method Detail

### gluDeleteTess

    void gluDeleteTess()

### gluTessProperty

    void gluTessProperty(int which,
                         double value)

### gluGetTessProperty

    void gluGetTessProperty(int which,
                            double[] value,
                            int value_offset)

### gluTessNormal

    void gluTessNormal(double x,
                       double y,
                       double z)

### gluTessCallback

    void gluTessCallback(int which,
                         GLUtessellatorCallback aCallback)

### gluTessVertex

    void gluTessVertex(double[] coords,
                       int coords_offset,
                       java.lang.Object vertexData)

### gluTessBeginPolygon

    void gluTessBeginPolygon(java.lang.Object data)

### gluTessBeginContour

    void gluTessBeginContour()

### gluTessEndContour

    void gluTessEndContour()

### gluTessEndPolygon

    void gluTessEndPolygon()

### gluBeginPolygon

    void gluBeginPolygon()

### gluNextContour

    void gluNextContour(int type)

### gluEndPolygon

    void gluEndPolygon()

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.